AJAX 사용 ASP.NET 페이지의 브라우저 보안 설정

Visual Studio 2010

업데이트: 2007년 11월

ASP.NET의 AJAX 기능은 대부분의 최근 브라우저와 호환됩니다. 이 기능은 이러한 브라우저의 기본 보안 설정으로 실행됩니다.

대부분의 최근 브라우저를 사용하여 AJAX 사용 ASP.NET 사이트를 볼 수 있습니다. 다음 목록에서는 호환되는 브라우저 버전과 운영 체제를 보여 줍니다.

지원되는 브라우저

  • Microsoft Internet Explorer 6.0 이상 버전

  • Mozilla Firefox 1.5 이상 버전

  • Opera 9.0 이상 버전

  • Apple Safari 2.0 이상 버전

지원되는 운영 체제

  • Microsoft Windows XP SP2

  • Microsoft Vista

  • Apple OSX(Intel 아키텍처만)

다음 표에서는 사용자의 사이트 검색 및 사이트 개발 모두에 필요한 브라우저 보안 및 개인 정보 보호 설정을 보여 줍니다. 모든 경우에 해당 브라우저의 기본 설정을 사용하는 것이 좋습니다.

Internet Explorer 6

보안 영역 설정에서 인터넷 영역보통으로 설정되어 있는지 확인합니다.

Internet Explorer 7

보안 영역 설정에서 인터넷 영역약간 높음으로 설정되어 있는지 확인합니다.

FireFox 1.5 이상 버전

Tools 메뉴의 Options 아래에서 Enable JavaScript가 선택되어 있는지 확인합니다.

Opera 9.0 이상 버전

Tools 메뉴의 Quick preferences 아래에서 Enable JavaScript가 선택되어 있는지 확인합니다.

Safari 2.0.4 이상 버전

Safari, Preferences, Security, Web Content를 차례로 클릭한 다음 Enable JavaScript가 선택되어 있는지 확인합니다.

Bb470452.alert_note(ko-kr,VS.100).gif참고:

브라우저 보안 및 개인 정보 보호 설정이 너무 높게 설정되어 있으면 JavaScript를 사용할 수 없을 수 있습니다. 이 경우 브라우저에서 AJAX 사용 ASP.NET 응용 프로그램의 클라이언트측 기능을 실행할 수 없습니다. 예를 들어 AJAX 사용 ASP.NET 페이지가 표시되지만 해당 페이지의 UpdatePanel 컨트롤에서 부분 페이지 렌더링을 위한 비동기 포스트백을 실행할 수 없습니다.

표시: